
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP教程.应用实例8 / iVAN</title>

    <meta name="description" content="PHP教程.应用实例8 教程|应用实例 PHP下定制自己的记数器计数器是让 Web 访客知道该网页或者网站的人气指数最直接的方法,同时,访客人数也是给广告商做广告的最好依据.虽然很多网站都提供免费的计数器,可毕竟不是自己亲手制作的,不能体现出自己的特色.下面就PHP环境下记数器的制作过程进行详细的讨论. 访客计数器的流程如下: 第一位使用者浏览某页. 服务器程式从资料库或档案中读取该页被浏览次数. 将次数加一储存,并将它送回第一位使用者. 下一位使用者浏览某页. 服务器程式从资料库或档案中读取该页被浏览次数. 将次数再">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP教程.应用实例8</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>教程|应用实例</p>
<p>PHP下定制自己的记数器<br />计数器是让 Web 访客知道该网页或者网站的人气指数最直接的方法，同时，访客人数也是给广告商做广告的最好依据。虽然很多网站都提供免费的计数器，可毕竟不是自己亲手制作的，不能体现出自己的特色。下面就PHP环境下记数器的制作过程进行详细的讨论。</p>
<p>访客计数器的流程如下：</p>
<p>第一位使用者浏览某页。</p>
<p>服务器程式从资料库或档案中读取该页被浏览次数。</p>
<p>将次数加一储存，并将它送回第一位使用者。</p>
<p>下一位使用者浏览某页。</p>
<p>服务器程式从资料库或档案中读取该页被浏览次数。</p>
<p>将次数再加一储存，并将它送回下一位使用者。</p>
<p>PHP中没有直接的计数器函数，但利用它强大的功能，我们可以很容易地自己编写一个计数器。计数器的实现分为两个阶段：一是实现计数；二是实现数字的显示。在实现计数时又有两种方式：一是基于文件的计数方式；二是基于数据库的计数方式。同样在实现数字的显示上也有两种方式：一是普通的文本显示；二是图形方式显示。下面就分别将这四种情况作一一介绍.</p>
<p>一、计数的实现</p>
<p>1．基于文件的计数</p>
<p>原理：把以往的访问人数记录在一个文本文件中，当网页被访问的时候，打开该文件并从中读出以往的访问人数，加 1，得到最新的访问人数，再把最新的访问数字回写到纪录访问人数的文件中。<br />实现；</p>
<p>&lt;?php</p>
<p>$counterFile = "counter.txt";<br />if (!file_exists($counterFile)) {<br />//判断文件是否存在<br />$fp = fopen($counterFile, "w");<br />fputs($fp, "0");<br />fclose($fp);<br />}<br />//读文件<br />$n=10;<br />$fp = fopen($counterFile, "r");<br />$str1 = fgets($fp,$n);<br />$str1++;<br />fclose($fp);<br />//回写文件<br />$fp = fopen($counterFile, "w");<br />fputs($fp, $str1);<br />fclose($fp);</p>
<p>?&gt;</p>
<p>程序说明：在浏览到本页时，PHP 程式先找寻 counter.txt 文件是否存在，若不存在，则建立一个 counter.txt 文件，并将 0 写入文件。然后读取 counter.txt 文件的内容，并将读出的数字加一,然后回写到文件中。</p>
<p>2、基于数据库的计数</p>
<p>原理：把访问人数记录在一个数据库中，当网页被访问的时候，从数据库中读出以往的访问人数，加 1，得到最新的访问人数，再把最新的访问数字回写到数据库中。</p>
<p>实现：假设数据库为Mysql数据库，名为XinXiKu，先建一数据表count，表字段中仅有counter一个字段，默认值为0，来记录访问人数。</p>
<p>&lt;?php</p>
<p>//连接数据<br />$db=mysql_connect("localhost","root","");<br />mysql_select_db("XinXiKu",$db);<br />//更新访问人数<br />$result=mysql_query("update count set counter=counter+1",$db);</p>
<p>?&gt;</p>
<p>程序说明：访问者在浏览到本页时，首先连接到数据库，并把记数字段用原值加1来进行更新操作，实现访问数的递增。</p>
<p>二、记数的显示</p>
<p>1、普通的文本方式显示</p>
<p>这种显示方法很简单，在需要显示记数的地方直接输出即可。以上面的例子分别说明：</p>
<p>基于文件的计数，直接输出变量str1的内容即可。<br />&lt;?php echo $str1 ; ?&gt;</p>
<p>基于数据库的计数，首先从数据库中读出，然后再输出。</p>
<p>&lt;?php</p>
<p>//查询数据库<br />$sql="select * from count";<br />$result=mysql_query($sql,$db);<br />//取得记录集<br />$record=mysql_fetch_array($result);<br />//取得访问人数<br />$str1=$record["counter"];<br />echo $str1;</p>
<p>?&gt;</p>
<p>同样，你也可以用html语句像 &lt;font color size&gt;等对输出的数字进行修饰。文本显示的优点是减少下载时间，浏览速度快。缺点是显示方式不够活泼。</p>
<p>2、图形方式显示</p>
<p>原理：把读出的访问数据格式化成标准的格式，然后利用php提供的图像处理函数，把数字输出成图片格式。这样，数字的显示格式可以随意控制，真正能体现出自己的特色来。</p>
<p>实现：</p>
<p>&lt;?<br />Header("Content-type: image/gif");<br />//定义输出为图像类型<br />$n=10;<br />//变量$n是显示位数</p>
<p>//利用上面的方法，取得访问人数并赋值给变量$str1 (程序略)<br />$str1=取得访问人数的值<br />$str2 = "";<br />//位数如果不够$n位，在前面补0<br />$len1 = strlen($str1);<br />for ($i=1;$i&lt;=$n;$i++) {<br />$str2 = "0".$str2;<br />};<br />//得到$n位0<br />$len2 = strlen($str2);<br />//计算访问人数的位数<br />$dif = $len2 - $len1;<br />$rest = substr($str2, 0, $dif);<br />$string = $rest.$str1;<br />//位数如果不够$n位，在前面补0<br />for ($i=0;$i&lt;=$n-1;$i++) {<br />$str[$i]=substr($string,$i,1);<br />};<br />//以数组存储每位数字<br />$font = 4;<br />//定义字号<br />$im = imagecreate($n*11-1,16);<br />//新建图象<br />$black = ImageColorAllocate($im, 0,0,0);<br />$white = ImageColorAllocate($im, 255,255,255);<br />//定义颜色<br />imagefill($im, 0,0,$black);<br />//把计数器的底色设置成黑色<br />ImageString($im,$font,1,0,$str[0],$white);<br />for ($i=1;$i&lt;=$n-1;$i++) {<br />imageline($im, $i*11-1,0,$i*11-1,16, $white);<br />ImageString($im,$font,$i*11+1,0,$str[$i],$white);<br />};<br />//将每位写入图象，并以竖线分隔<br />ImageGif($im);<br />//图象输出<br />ImageDestroy($im);<br />//释放图象<br />?&gt;</p>
<p>输出图形如图如示：</p>
<p>函数说明：</p>
<p>imagecreate(int x_size, int y_size)：建立一张全空的图形。参数 x_size、y_size 为图形的尺寸，单位为像素 (pixel)。</p>
<p>imagecolorallocate(int im, int red, int green, int blue)：用来匹配图形的颜色，供其它绘图函数使用。参数 im 表示图形的 handle。参数 red、green、blue 是色彩三原色，其值从 0 至 255。</p>
<p>imagefill(int im, int x, int y, int col)：将图片坐标 (x,y) 所在的区域着色。参数 col 表示欲涂上的颜色。</p>
<p>imagestring(int im, int font, int x, int y, string s, int col)：在图片上绘出水平的横式字符串。参数 font 为字形，设为 1 到 5 表示使用默认字形。参数 x、y 为字符串起点坐标。字符串的内容放在参数 s 上。参数 col 表示字符串的颜色。</p>
<p>imageline(int im, int x1, int y1, int x2, int y2, int col)：在图形上画出一条实线。从 x1、y1 连接到 x2、y2，原点 (0,0) 为图形的左上角。参数 col 为实线的颜色。</p>
<p>imagegif(int im, string [filename])：建立一张 GIF 格式图形。参数 im 为使用 ImageCreate() 所建立的图片代码。</p>
<p>imagedestroy(int im)：将图片 handle 解构，释于内存空间。</p>
<p>三、结束语</p>
<p>1、上述代码如果直接放在文件头，那么只要有人访问该页，无论是刷新还是从网站的其它页跳转到该页，就会使计数值加1，从而使主页计数失去了真实性。有两个很简单的办法可以解决。</p>
<p>a、在返回到该页的链接上传递一个参数flag，比如：index.php?flag=1，在计数之前首先检查flag变量是否已赋值，若未赋值，计数器加1。否则不加。</p>
<p>if(empty($flag)){<br />$counter+=1;<br />}</p>
<p>b、用Session记录一标志flag，在记数前先判断flag是否已赋值，如果没赋值，则记数加1，并给flag赋值，否则，记数器不变。</p>
<p>if (!isset($flag))<br />{<br />//处理记数器加1语句<br />...<br />//赋值flag<br />session_start();<br />session_register("flag");<br />$flag=1;<br />}</p>
<p>2、为了方便，可以将计数器作为一个函数MyCounter()，这样只许需在主页开头加入require("filename"); 使MyCounter()成为此主页的一部分，需要的时候，将&lt;? MyCounter();?&gt;加在需要计数器的地方显示就可以了。</p>
<p>3、利用图形显示计数器时，在需要的地方直接插入：&lt;img src="counter.php" border=0&gt;即可。但要注意的是PHP中必须安装GD库才能利用php中的图像处理函数。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 14:57:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a1%e6%95%b0%e5%99%a8/" title="计数器">计数器</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e5%bd%a2/" title="图形">图形</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP教程.应用实例8的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zO949M.html" rel="bookmark">PHP教程&period;应用实例5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 php生成WAP页面 WAP(无线通讯协议)是在数字移动电话.个人手持设备(PDA等)及计算机之间进行通讯的开放性全球标准.由于静态的WAP页面在很多方面不能满足用户个性化的服务请求,因此通过WAP服务器端语言产生动态的WML页面,具有很广泛的应用价值和很高的商业价值. WAP应用结构非常类似于Internet,一个典型的WAP应用请求是这样的:首先,具有WAP用户代理功能的移动终端(WAP手机等)通过内部运行的微浏览器(Micro Browser)对某一网站以无线方式发送WAP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3jykz.html" rel="bookmark">PHP教程&period;应用实例4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 PHP开发文件系统实例讲解PHP中有许多与文件系统有关的函数,这些函数不仅可以打开文件,还可以显示目录中的内容.移动文件和其他一些功能,许多人甚至用PHP开发基于互联网的文件资源管理器. 下面的脚本样例可以显示一个目录清单,注释已经包含在代码中: &lt;? /把要读取的目录的全路径名存入一个名字为$dir_name的变量中./$dir_name = &quot;/home/me/&quot;;/ 创建一个句柄,其值是打开一个给定目录的结果/$dir = opendir($dir_n			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJ2Y8z.html" rel="bookmark">PHP教程&period;应用实例14</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 多文件上载系统程序&lt;?php //多文件上载系统完整版 include(&quot;../include/common.inc&quot;); $title = &quot;多个文件的上载程序&quot;; include(&quot;../include/header.inc&quot;); //定义允许上载文件的数目 define(&quot;UPLOAD_NO&quot;, 10); echo(&quot;&lt;p align='center'&gt;&lt;font siz			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWNejb.html" rel="bookmark">PHP教程&period;应用实例13</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 PHP中用户身份认证实现二法(2)AddType application/x-httpd-php4 .php3AddType application/x-httpd-php4 .php4Action application/x-httpd-php4 /php4/php.exe 要想使PHP支持更多的后缀名,没问题.在给出的配置文件mod_php4.conf已经支持了三种后缀名php,php3,php4,如果你还想支持更多的后缀名可以更改这个文件,很简单的. 4.测试 用&lt;? ph			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMN254M.html" rel="bookmark">PHP教程&period;应用实例12</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 PHP中用户身份认证实现二法(1)用户在设计和维护站点的时候,经常需要限制对某些重要文件或信息的访问.通常,我们可以采用内置于WEB服务器的基于HTTP协议的用户身份验证机制.当访问者浏览受保护页面时,客户端浏览器会弹出对话窗口要求用户输入用户名和密码,对用户的身份进行验证,以决定用户是否有权访问页面.下面用两种方法来说明其实现原理. 一.用HTTP标头来实现 标头是服务器以HTTP协议传送HTML信息到浏览器前所送出的字串.HTTP采用一种挑战/响应模式对试图进入受密码保护区域			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw7Nkz.html" rel="bookmark">PHP教程&period;应用实例11</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 PHP应用提速面面观PHP最大的优点之一显然在于它的快速度.一般情况下PHP总是具有足够的速度支持Web内容动态生成,许多时候你甚至无法找出比它更快的方法.然而,当你不得不面对庞大的访问量.高负荷的应用.有限的带宽以及其他各种带来性能瓶颈的因素时,你可能会问问自己是否可以做点什么让网站运行得更好.或许只要加上一个很不起眼的免费模块,你的PHP应用性能以及Web服务器响应速度就会有显著的改善.本文讨论的就是如何进一步提高php应用的性能,给用户以更美妙的浏览感受.本文分三个方面(代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZ4xaM.html" rel="bookmark">PHP教程&period;应用实例10</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 php写的发送附件的程序(二)&lt;?php class html_mime_mail{ var $headers; var $body; var $multipart; var $mime; var $html; var $html_text; var $html_images = array(); var $cids = array(); var $do_html; var $parts = array(); /**********************************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnw30z.html" rel="bookmark">PHP教程&period;应用实例2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 PHP-Push技术实现刷新功能Server push 前一段时间炒得很热的&quot;推&quot;技术,不过网上大部分都是cgi的资料,偶尔看到一个法国的网站上有这么个介绍,可惜法语看不懂,只能从他的程序中看懂点东西,现整理个例子出来大家学习一下.可以用于聊天室的数据传输.网站上的新闻更新.等等各类更新频繁的页面. 以前做刷新主要通过页面上加标签. &lt; META HTTP-EQUIV=REFRESH CONTENT=&quot;time;URL=url&quot; &gt; 或者			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlO4Ob.html" rel="bookmark">PHP教程&period;应用实例1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 PHP/MySQL 购物车程序 &lt;? if(!$session &amp;&amp; !$scid) { $session = md5(uniqid(rand())); SetCookie(&quot;scid&quot;, &quot;$session&quot;, time() + 14400); } /* last number is expiration time in seconds, 14400 sec = 4 hrs */ class Cart { function c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mx7ARb.html" rel="bookmark">PHP教程&period;应用实例18</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|应用实例 基于PHP的聊天室(三)现在我们有了需要通过$REMOTE_ADDR变量来交叉引用的文件,这样我们可以区分出想要发贴的用户是否已经被扁或没有被扁.很简单: &lt;?php for ($counter=0;$counter&lt;sizeof($banned_array);$counter++) { if ($banned_array[$counter] == $REMOTE_ADDR) { print(&quot;&lt;font color=&quot;red&quot; face=&			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrXnxz.html" rel="bookmark" class="title">Photoshop调出室内人像金属质感的肤色效果</a>
					<div>
						  效果图: 原片: 分为四个环节: 环节一:图像的初步调整和人像修饰 1.用PS打开原图,PS自动调用Camera Raw调出原图,点击确定,生成一个智能对象.如果没有自动调用Camera Raw, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQK90p.html" rel="bookmark" class="title">树目录菜单的制作</a>
					<div>
						菜单|菜单 制作方法: 第一步:嵌入代码.把下面这段代码复制到&lt;head&gt;&lt;/head&gt;标签之间.   &lt;style&gt; &lt;!-- #foldheader{cu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2G7kM.html" rel="bookmark" class="title">用PHP实现文件上传</a>
					<div>
						在WebDev站点上经常看到的一个问题是关于文件上传的.在这篇文章里我将解释如何用PHP实现文件上传. 设计上传表格 我们主要的目标是完成文件从本地计算机上传到服务器上去.为了做到这一点,我们需要做一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM64oAz.html" rel="bookmark" class="title">针对9月22日百度收录量普遍下降原因分析</a>
					<div>
						9月22日,很大一部分站长在使用百度site命令时发现自己网站的收录量下降很多,在论坛中也遇到很多站长在询问9月22日是不是百度算法又更新了?如何应对9月22日百度收录量狂降现象?作为站长,我们应该理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrZnmM.html" rel="bookmark" class="title">C&num;的多线程机制探索</a>
					<div>
						多线程 C#的多线程机制探索 #多线程程序设计是一个庞大的主题,而本文试图在.net Framework环境下,使用最新的C#语言来描述多线程程序的概貌.希望本文能有助于大家理解线程这种概念,理解多线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nm4Az.html" rel="bookmark" class="title">PS入门必学十招</a>
					<div>
						Adobe Photoshop是目前最流行的平面设计软件之一.可以说,只要你接触平面设计,那么无论早晚,你都要和它打交道.关于Photoshop,要说的实在太多太多,但不论你想让它成为你的左膀右臂,或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7v7NM.html" rel="bookmark" class="title">Oracle导入、导出程序使用详解</a>
					<div>
						  Oracle数据库对于我们审计人员来讲,应该是既熟悉又陌生,熟悉的是在计算机辅助审计中,常常要从被审计单位的Oracle数据库中导出数据,然后再导入到自己电脑的Oracle数据库中,通过如ACCS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr6OZp.html" rel="bookmark" class="title">EXCEL2010TRIM函数去除空格</a>
					<div>
						在EXCEL2010数据表中,如果要制做数据透视表,要求数据表单元格的字符前后都不能有空格,如果有空格的话会对数据统计分析产生影响.因为空格是无法直观看到的,如果字符后面带有多个空格,那么,即使文字一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNN8OM.html" rel="bookmark" class="title">window7环境下安装apache http server</a>
					<div>
						  window7环境下安装apache http server window7 环境下安装apache http server 会遇到如下错误提示: 原因是软件安装时与windows7的&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8j2Rb.html" rel="bookmark" class="title">怎样解决Win7系统&OpenCurlyDoubleQuote;com surrogate已停止工作&rdquo;错误提示</a>
					<div>
						我们在操作电脑的时候难免会遇到故障提示窗口,特别是在win7操作系统,经常弹出错误窗口让我们很是反感,但我们可以通过错误提示窗口来找出问题所在,才能更好的解决故障问题.最近有用户在win7系统中只是莫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN4rrM.html" rel="bookmark" class="title">Database Management System 基础01：管理自己的任何事</a>
					<div>
						数据库 A database is a container that holds tables and other SQL structures related to those tables #数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24g6op.html" rel="bookmark" class="title">对网站权重相关性有影响的三大原因分析</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 这几天,一直听到有朋友说网站权重, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEL0Az.html" rel="bookmark" class="title">有没有方法读出向一张表INSERT时由于存在不可空字段而出错的出错信息中触发错误的不可空字段的字段名？</a>
					<div>
						问题描述 如题,用的联接是System.Data.OleDb.OleDbConnection. 解决方案 解决方案二:try...catch不行吗?解决方案三:引用1楼whoami333的回复: tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Dq1z.html" rel="bookmark" class="title">专访阿里王峰：Hadoop生态下一代计算引擎-streaming和batch的统一</a>
					<div>
						编者按:Hadoop于2006年1月28日诞生,至今已有10年,它改变了企业对数据的存储.处理和分析的过程,加速了大数据的发展,形成了自己的极其火爆的技术生态圈,并受到非常广泛的应用.在2016年Ha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkgevb.html" rel="bookmark" class="title">CyanogenMod源码下载和编译&lpar;Android ROM定制基础篇&rpar;</a>
					<div>
						http://www.cnblogs.com/qianxudetianxia/archive/2011/09/27/2193590.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRLl3b.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;裸购&rdquo;给社会带来了什么？</a>
					<div>
						在现如今生活节奏飞速加快的社会,人们总是受到身体亚健康的困扰,所以,对于零负担.零添加和零侵害的追求遂即成为人们生存活动的必然趋势.在社区商城玩购一体.足不出户的绿色消费难题已被&quot;我友网&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVOXb.html" rel="bookmark" class="title">百度身边Android版客户端发布</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 最新消息,本地优质生活信息搜索和分享平台百度身边今日正式对外发布Android版本手机客户端,并启动&quot;征集播报达人送好礼&quot;优惠活动( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZlVXM.html" rel="bookmark" class="title">CDMA版iPhone手机今晨在美发布</a>
					<div>
						北京时间昨晚12点整,美国最大运营商.运营CD-MA网络的Verizon在美国举行发布会,并和苹果公司共同发布了传闻已久的CDMA版本的i-Phone手机.这个消息让此前一直期待着CDMA版本iPho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR1d8b.html" rel="bookmark" class="title">《Spring Data官方文档》翻译邀请</a>
					<div>
						转眼间已经11月了,天气也逐渐变得冷了起来,本月并发网组织大家翻译&lt;Spring Data官方指南&gt;,文章比较简单,欢迎使用过或想了解Sring Data的同学参与翻译. 如何领取 通过评 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60k7Lz.html" rel="bookmark" class="title">获取聊天记录时获取不全</a>
					<div>
						问题描述 有多个聊天记录结果每次通过conversation.getAllMessages()只能获取一个的问题 解决方案 // 设置从db初始化加载时, 每个conversation需要加载msg的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEYKKM.html" rel="bookmark" class="title">世界杯终于热辣来袭</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 四年一盼,一盼四年,世界杯终于热辣来袭!跌宕起伏促的比赛几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye8LEM.html" rel="bookmark" class="title">广东：国Ⅳ汽油或比国Ⅲ贵0&period;2元</a>
					<div>
						南都讯 记者徐艳 实习生 姜圣慧8月起广州的加油站不再售卖国Ⅲ汽油,全部要卖国Ⅳ汽油(即粤Ⅳ).南都记者昨日发现,不少油站已开始将部分汽油置换成国Ⅳ,甚至有少数油站早早贴上新标识.省物价局人士透露,国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgryKM.html" rel="bookmark" class="title">hadoop-Hadoop节点调用 mapreduce</a>
					<div>
						问题描述 Hadoop节点调用 mapreduce 我在一个节点上写了map reduce 函数后,其它的节点要得到这2个函数进行数据处理运算,他们怎么得到的呢? 谁知道请告诉我一下 ,很想知道内部过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgABRM.html" rel="bookmark" class="title">信托渠道困局：一条微博引发&OpenCurlyDoubleQuote;诺亚血案&rdquo;</a>
					<div>
						本报记者 李崇磊 北京报道 一场&quot;封杀&quot;风波将国内第三方理财机构和信托公司的矛盾暴露在公众视野当中.尽管诺亚财富8月1日发布的2011财年第二季度未经审计财报交出了超预期的优秀业绩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnARNM.html" rel="bookmark" class="title">printf-段错误&colon;您的程序发生段错误，可能是数组越界，这是怎么回事</a>
					<div>
						问题描述 段错误:您的程序发生段错误,可能是数组越界,这是怎么回事 #include&lt;stdio.h&gt; int main(void) { int N,p,i,j,index,temp; i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwr2nM.html" rel="bookmark" class="title">windows service 中如何成功运行 webbrowser&quest;</a>
					<div>
						问题描述 如题,现在一个问题是,无报错,但就是看不到post到对方网站的文章(而winform可以),通过观察数据库的log数据,发现windowsservice中webbrowser(非可见,动态创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22QJvb.html" rel="bookmark" class="title">《算法技术手册》一2&period;1 问题样本的规模</a>
					<div>
						2.1 问题样本的规模 问题样本是解决问题的程序所使用的特定输入数据集.在大部分问题中,随着这一数据集规模的增长,程序的执行时间也在不断增加.同时,过度地对样本数据进行编码(可能使用了压缩技术),可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKWOOz.html" rel="bookmark" class="title">PHP程序员的40点陋习</a>
					<div>
						    Reinhold Weber 提出PHP程序员的40点陋习.(本E问只写了一部分内容,译者找到原版翻译,以下是完全版)        1不写注释        2不使用可以提高生产效率的IDE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ27Z4z.html" rel="bookmark" class="title">真见识了-全代码编写的图片&lowbar;javascript技巧</a>
					<div>
						[Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] ############# ############## ############################ ############ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKo9AM.html" rel="bookmark" class="title">个人站长出路与网站优化方向</a>
					<div>
						凭借多年的SEO实战和观察,下面介绍几种SEO比较好的方向,希望对那些刚进入这个行业的人一点意见. 总的来说目前国内的seo主要发展方向 一.从事SEO服务 1.关键词排名 没有太高的技术含量,大部分 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
